<template>
  <v-app>
    <!--navbar starts-->
    <div>
      <v-app-bar color="white">
        <v-app-bar-nav-icon></v-app-bar-nav-icon>

        <v-toolbar-title>Page title</v-toolbar-title>

        <v-spacer></v-spacer>

        <v-btn icon>
          <v-icon>mdi-heart</v-icon>
        </v-btn>

        <v-btn icon>
          <v-icon>mdi-magnify</v-icon>
        </v-btn>

        <v-menu left bottom>
          <template v-slot:activator="{ on }">
            <v-btn icon v-on="on">
              <v-icon>mdi-dots-vertical</v-icon>
            </v-btn>
          </template>

          <v-list>
            <v-list-item v-for="n in 5" :key="n" @click="() => {}">
              <v-list-item-title>Option {{ n }}</v-list-item-title>
            </v-list-item>
          </v-list>
        </v-menu>
      </v-app-bar>
    </div>
    <!--navbar ends-->
    <v-container>
      <v-row>
        <!--accordion starts-->
        <v-col cols="6" class="accordion">
          <v-expansion-panels>
            <v-expansion-panel>
              <v-expansion-panel-header>Supplier 1</v-expansion-panel-header>
              <v-expansion-panel-content>
                <ul>
                  <v-checkbox v-model="selectAll" @click="select" label="select/deselect all"></v-checkbox>
                  <li v-for="list in lists" :key="list">
                    <v-checkbox v-model="selected1" :label="list.name" :value="list.name" @click="removeallbutton=true"></v-checkbox>
                  </li>
                </ul>
              </v-expansion-panel-content>
            </v-expansion-panel>
            <v-expansion-panel>
              <v-expansion-panel-header>Supplier 2</v-expansion-panel-header>
              <v-expansion-panel-content>
                <ul>
                  <v-checkbox v-model="selectAll" @click="select2" label="select/deselect all"></v-checkbox>
                  <li v-for="lis in secondlists" :key="lis">
                    <v-checkbox v-model="selected2" :label="lis.name" :value="lis.name" @click="removeallbutton=true"></v-checkbox>
                  </li>
                </ul>
              </v-expansion-panel-content>
            </v-expansion-panel>
            <v-expansion-panel>
              <v-expansion-panel-header>Supplier 3</v-expansion-panel-header>
              <v-expansion-panel-content>
                <ul>
                  <v-checkbox v-model="selectAll" @click="select3" label="select/deselect all"></v-checkbox>
                  <li v-for="lis in thirdlists" :key="lis">
                    <v-checkbox v-model="selected3" :label="lis.name" :value="lis.name" @click="removeallbutton=true"></v-checkbox>
                  </li>
                </ul>
              </v-expansion-panel-content>
            </v-expansion-panel>
            <v-expansion-panel>
              <v-expansion-panel-header>Supplier 4</v-expansion-panel-header>
              <v-expansion-panel-content>
                <ul>
                  <v-checkbox v-model="selectAll" @click="select4" label="select/deselect all"></v-checkbox>
                  <li v-for="lis in forthlists" :key="lis">
                    <v-checkbox v-model="selected4" :label="lis.name" :value="lis.name" @click="removeallbutton=true"></v-checkbox>
                  </li>
                </ul>
              </v-expansion-panel-content>
            </v-expansion-panel>
            <v-expansion-panel>
              <v-expansion-panel-header>Supplier 5</v-expansion-panel-header>
              <v-expansion-panel-content>
                <ul>
                  <v-checkbox v-model="selectAll" @click="select5" label="select/deselect all"></v-checkbox>
                  <li v-for="lis in fifthlists" :key="lis">
                    <v-checkbox v-model="selected5" :label="lis.name" :value="lis.name" @click="removeallbutton=true"></v-checkbox>
                  </li>
                </ul>
              </v-expansion-panel-content>
            </v-expansion-panel>
            <v-expansion-panel>
              <v-expansion-panel-header>Supplier 6</v-expansion-panel-header>
              <v-expansion-panel-content>
                <ul>
                  <v-checkbox v-model="selectAll" @click="select6" label="select/deselect all"></v-checkbox>
                  <li v-for="lis in sixthlists" :key="lis">
                    <v-checkbox v-model="selected6" :label="lis.name" :value="lis.name" @click="removeallbutton=true"></v-checkbox>
                  </li>
                </ul>
              </v-expansion-panel-content>
            </v-expansion-panel>
            <v-expansion-panel>
              <v-expansion-panel-header>Supplier 7</v-expansion-panel-header>
              <v-expansion-panel-content>
                <ul>
                  <v-checkbox v-model="selectAll" @click="select7" label="select/deselect all"></v-checkbox>
                  <li v-for="lis in seventhlists" :key="lis">
                    <v-checkbox v-model="selected7" :label="lis.name" :value="lis.name" @click="removeallbutton=true"></v-checkbox>
                  </li>
                </ul>
              </v-expansion-panel-content>
            </v-expansion-panel>
          </v-expansion-panels>
        </v-col>
        <!--accordion ends-->
        <v-col cols="6">
          <!--saved dropdown button starts-->
          <v-menu offset-y>
            <template v-slot:activator="{ on }">
              <v-btn outlined v-on="on">
                saved lists
                <v-icon right> mdi-chevron-double-down</v-icon>
              </v-btn>
            </template>
            <v-list>
              <v-list-item v-for="(item, index) in dropdown_saved" :key="index" @click="bring_saved">
                <v-list-item-title>{{ item.name }}</v-list-item-title>
                <span class="text-right"><v-btn text small color="error" @click.prevent="remove_saved(index)" >X</v-btn>
                </span>
              </v-list-item>
            </v-list>
          </v-menu>
          <!--saved dropdown button ends-->
          <v-btn color="red" outlined @click='clearlist'>clear all saved lists<v-icon right> mdi-folder-remove</v-icon></v-btn>
          <!--selected list starts-->
          <v-card class="card">
            <ul v-for="(sel,id) in selectedsaved" :key="id">
              <v-row>
                <v-col>
                  <li>{{sel}}</li>
                </v-col>
                <v-col>
                  <span class="text-right">
                    <v-btn text small color="error" @click="remove(index)">remove</v-btn>
                  </span>
                </v-col>
              </v-row>
            </ul>
            <ul v-for="(sel,id) in selected1" :key="id">
              <v-row>
                <v-col>
                  <li>{{sel}}</li>
                </v-col>
                <v-col>
                  <span class="text-right">
                    <v-btn text small color="error" @click="remove(index)">remove</v-btn>
                  </span>
                </v-col>
              </v-row>
            </ul>
            <ul v-for="(sel,id) in selected2" :key="id">
              <v-row>
                <v-col>
                  <li>{{sel}}</li>
                </v-col>
                <v-col>
                  <span class="text-right">
                    <v-btn text small color="error" @click="remove(index)">remove</v-btn>
                  </span>
                </v-col>
              </v-row>
            </ul>
            <ul v-for="(sel,id) in selected3" :key="id">
              <v-row>
                <v-col>
                  <li>{{sel}}</li>
                </v-col>
                <v-col>
                  <span class="text-right">
                    <v-btn text small color="error" @click="remove(index)">remove</v-btn>
                  </span>
                </v-col>
              </v-row>
            </ul>
            <ul v-for="(sel,id) in selected4" :key="id">
              <v-row>
                <v-col>
                  <li>{{sel}}</li>
                </v-col>
                <v-col>
                  <span class="text-right">
                    <v-btn text small color="error" @click="remove(index)">remove</v-btn>
                  </span>
                </v-col>
              </v-row>
            </ul>
            <ul v-for="(sel,id) in selected5" :key="id">
              <v-row>
                <v-col>
                  <li>{{sel}}</li>
                </v-col>
                <v-col>
                  <span class="text-right">
                    <v-btn text small color="error" @click="remove(index)">remove</v-btn>
                  </span>
                </v-col>
              </v-row>
            </ul>
            <ul v-for="(sel,id) in selected6" :key="id">
              <v-row>
                <v-col>
                  <li>{{sel}}</li>
                </v-col>
                <v-col>
                  <span class="text-right">
                    <v-btn text small color="error" @click="remove(index)">remove</v-btn>
                  </span>
                </v-col>
              </v-row>
            </ul>
            <ul v-for="(sel,id) in selected7" :key="id">
              <v-row>
                <v-col>
                  <li>{{sel}}</li>
                </v-col>
                <v-col>
                  <span class="text-right">
                    <v-btn text small color="error" @click="remove(index)">remove</v-btn>
                  </span>
                </v-col>
              </v-row>
            </ul>
            <v-btn class="rmvall" outlined color="red" v-if="removeallbutton" @click="removeall">remove all</v-btn>
          </v-card>
          <!--selected list ends-->
          <v-btn outlined color="success" @click="post">send<v-icon right>mdi-send</v-icon></v-btn>
          <!--popup starts-->
          <v-dialog v-model="dialog" ref="kayit" persistent max-width="600px">
            <template v-slot:activator="{ on }">
              <v-btn outlined v-on="on">save the list<v-icon right>mdi-content-save</v-icon></v-btn>
            </template>
            <v-card>
              <v-card-text>
                <v-row>
                  <v-col cols="12" sm="6" md="4">
                    <v-text-field v-model="header" label="header" required></v-text-field>
                    <ul v-for="(sel,id) in selected1" :key="id">
                      <li>{{sel}}</li>
                    </ul>
                    <ul v-for="(sel,id) in selected2" :key="id">
                      <li>{{sel}}</li>
                    </ul>
                    <ul v-for="(sel,id) in selected3" :key="id">
                      <li>{{sel}}</li>
                    </ul>
                    <ul v-for="(sel,id) in selected4" :key="id">
                      <li>{{sel}}</li>
                    </ul>
                    <ul v-for="(sel,id) in selected5" :key="id">
                      <li>{{sel}}</li>
                    </ul>
                    <ul v-for="(sel,id) in selected6" :key="id">
                      <li>{{sel}}</li>
                    </ul>
                    <ul v-for="(sel,id) in selected7" :key="id">
                      <li>{{sel}}</li>
                    </ul>
                  </v-col>
                </v-row>
              </v-card-text>
              <v-spacer></v-spacer>
              <v-btn color="success" @click.prevent="save">save</v-btn>
              <v-btn color="error" @click.prevent="dialog=false">close</v-btn>
            </v-card>
          </v-dialog>
          <!--popup ends-->
        </v-col>
      </v-row>
    </v-container>
    <v-row justify="center">
    <v-dialog v-model="dialog2" persistent max-width="290">
      <v-card>
        <v-card-title class="headline">You're about to delete this list!!! </v-card-title>
        <v-card-text>Do you really want to delete?</v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn outlined color="green darken-1" text @click="deletechosen">yes</v-btn>
          <v-btn outlined color="error" text @click="dialog2 = false">no</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
  <v-row justify="center">
    <v-dialog v-model="dialog3" persistent max-width="290">
      <v-card>
        <v-card-title class="headline">You're about to delete all this entire list!!! </v-card-title>
        <v-card-text>Do you really want to delete?</v-card-text>
        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn outlined color="green darken-1" text @click="deleteall">yes</v-btn>
          <v-btn outlined color="error" text @click="dialog3 = false">no</v-btn>
        </v-card-actions>
      </v-card>
    </v-dialog>
  </v-row>
  </v-app>
</template>
<script>
  export default {
    data() {
      return {
        lists: '',
        secondlists: '',
        thirdlists: '',
        forthlists: '',
        fifthlists: '',
        sixthlists: '',
        seventhlists: '',
        selected1: [],
        selected2: [],
        selected3: [],
        selected4: [],
        selected5: [],
        selected6: [],
        selected7: [],
        selectedsaved:[],
        selectAll: false,
        dialog: false,
        header: '',
        dropdown_saved: [],
        removeallbutton:false,
        dialog2: false,
        dialog3: false
      }
    },
    methods: {
        removeall() {
        this.selectedsaved = []
        this.selected1 = []
        this.selected2 = []
        this.selected3 = []
        this.selected4 = []
        this.selected5 = []
        this.selected6 = []
        this.selected7 = []
        this.removeallbutton = false
      },
      remove(id) {
        this.selectedsaved.splice(id, 1)
        this.selected1.splice(id, 1)
        this.selected2.splice(id, 1)
        this.selected3.splice(id, 1)
        this.selected4.splice(id, 1)
        this.selected5.splice(id, 1)
        this.selected6.splice(id, 1)
        this.selected7.splice(id, 1)
      },
      select() {
        this.selected1 = [];
        if (this.selectAll) {
          for (let i in this.lists) {
            this.selected1.push(this.lists[i].name);
            this.removeallbutton=true
          }
        }
      },
      select2() {
        this.selected2 = [];
        if (this.selectAll) {
          for (let i in this.secondlists) {
            this.selected2.push(this.secondlists[i].name);
            this.removeallbutton=true
          }
        }
      },
      select3() {
        this.selected3 = [];
        if (this.selectAll) {
          for (let i in this.thirdlists) {
            this.selected3.push(this.thirdlists[i].name);
            this.removeallbutton=true
          }
        }
      },
      select4() {
        this.selected4 = [];
        if (this.selectAll) {
          for (let i in this.forthlists) {
            this.selected4.push(this.forthlists[i].name);
            this.removeallbutton=true
          }
        }
      },
      select5() {
        this.selected5 = [];
        if (this.selectAll) {
          for (let i in this.fifthlists) {
            this.selected5.push(this.fifthlists[i].name);
            this.removeallbutton=true
          }
        }
      },
      select6() {
        this.selected6 = [];
        if (this.selectAll) {
          for (let i in this.sixthlists) {
            this.selected6.push(this.sixthlists[i].name);
            this.removeallbutton=true
          }
        }
      },
      select7() {
        this.selected7 = [];
        if (this.selectAll) {
          for (let i in this.seventhlists) {
            this.selected7.push(this.seventhlists[i].name);
            this.removeallbutton=true
          }
        }
      },
      save() {
        this.$axios
          .$post('https://jsonplaceholder.typicode.com/posts', {
            supplier1: this.selected1,
            supplier2: this.selected2,
            supplier3: this.selected3,
            supplier4: this.selected4,
            supplier5: this.selected5,
            supplier6: this.selected6,
            supplier7: this.selected7,
            header: this.header
          }).then(function (data) {
            console.log(data)
          })
      },
      post() {
        this.$axios
          .$post('https://jsonplaceholder.typicode.com/posts', {
            supplier1: this.selected1,
            supplier2: this.selected2,
            supplier3: this.selected3,
            supplier4: this.selected4,
            supplier5: this.selected5,
            supplier6: this.selected6,
            supplier7: this.selected7,
          }).then(function (data) {
            console.log(data)
          })
      },

      bring_saved() {
        if(this.dialog2 == false){
        this.$axios
          .$get('https://jsonplaceholder.typicode.com/comments?postId=1')
          .then(response => (this.selectedsaved = response))
          this.removeallbutton=true
        console.log(this.selectedsaved)
        }
      },
      remove_saved() {
        this.dialog2 = true
        },
        clearlist(){
          this.dialog3 = true
        },
    deletechosen(id){
        this.$axios
          .$delete('https://jsonplaceholder.typicode.com/posts/1')
          .then(response => (this.dropdown_saved.splice(id, 1)))
        console.log(this.dropdown_saved)
        this.dialog2 = false
    },
    deleteall(id){
      this.$axios
          .$delete('https://jsonplaceholder.typicode.com/posts/1')
          .then(response => (this.dropdown_saved.splice(id)))
        console.log(this.dropdown_saved)
        this.dialog3 = false
    }
    },
    mounted() {
      this.$axios
        .$get('https://jsonplaceholder.typicode.com/comments?postId=1')
        .then(response => (this.lists = response)),

        this.$axios
        .$get('https://jsonplaceholder.typicode.com/comments?postId=1')
        .then(response => (this.secondlists = response)),

        this.$axios
        .$get('https://jsonplaceholder.typicode.com/comments?postId=1')
        .then(response => (this.thirdlists = response)),

        this.$axios
        .$get('https://jsonplaceholder.typicode.com/comments?postId=1')
        .then(response => (this.forthlists = response)),

        this.$axios
        .$get('https://jsonplaceholder.typicode.com/comments?postId=1')
        .then(response => (this.fifthlists = response)),

        this.$axios
        .$get('https://jsonplaceholder.typicode.com/comments?postId=1')
        .then(response => (this.sixthlists = response)),

        this.$axios
        .$get('https://jsonplaceholder.typicode.com/comments?postId=1')
        .then(response => (this.seventhlists = response)),

        this.$axios
        .$get('https://jsonplaceholder.typicode.com/comments?postId=1')
        .then(response => (this.dropdown_saved = response))
    },
  }

</script>

<style scoped>
.card {
  min-height: 335px;
  margin-top: 10px;
  margin-bottom: 10px;
}
.accordion {
  margin-top: 45px;
}
.rmvall {
  margin-left: 5px;
  margin-bottom: 5px;
}
</style>
